[disco/master-next,1/9] UBUNTU: [Packaging] dkms-build -- support building against packages in PPAs
diff mbox series

Message ID 20190312155719.3532-2-apw@canonical.com
State New
Headers show
Series
  • [disco/master-next,1/9] UBUNTU: [Packaging] dkms-build -- support building against packages in PPAs
Related show

Commit Message

Andy Whitcroft March 12, 2019, 3:57 p.m. UTC
PPAs do not really support components.  This means everything is published
into the main component in their pool.  Check both the real component
and main when searching.

BugLink: http://bugs.launchpad.net/bugs/1764792
Signed-off-by: Andy Whitcroft <apw@canonical.com>
---
 debian/scripts/dkms-build | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

Patch
diff mbox series

diff --git a/debian/scripts/dkms-build b/debian/scripts/dkms-build
index 16c041ca1cea..71351a58a17b 100755
--- a/debian/scripts/dkms-build
+++ b/debian/scripts/dkms-build
@@ -45,7 +45,11 @@  do
 			}
 		    ')
 		do
-			wget "$pool/$package_path" && break || true
+			url="$pool/$package_path"
+			wget "$url" && break || true
+			# No components in PPAs.
+			url=$(echo "$url" | sed -e 's@/pool/[^/]*/@/pool/main/@')
+			wget "$url" && break || true
 		done
 		;;
 	http*:*)